### Virtual Method

# Hinoko FwIsoIrSingle interrupted

#### Declaration [src]

    void
    interrupted (
      HinokoFwIsoIrSingle* self,
      guint sec,
      guint cycle,
      const guint8* header,
      guint header_length,
      guint count
    )

#### Description [src]

Class closure for the `HinokoFwIsoIrSingle::interrupted` signal.

#### Parameters

`sec`

  Type: `guint`

  The sec part of isochronous cycle when interrupt occurs, up to 7.

`cycle`

  Type: `guint`

  The cycle part of of isochronous cycle when interrupt occurs, up to 7999.

`header`

  Type: An array of `guint8`

  The headers of IR context for packets handled in the event of interrupt. The content is different depending on header_size parameter of `hinoko_fw_iso_ir_single_allocate()`.

  The length of the array is specified in the `header_length` argument.
  The data is owned by the caller of the method.

`header_length`

  Type: `guint`

  The number of bytes for header.

`count`

  Type: `guint`

  The number of packets to handle.